package com.ynet.life.platform.tranSwitch.limit;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.platform.base.PlatformConstants;
import com.ynet.life.platform.tranSwitch.limit.a;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.util.ArrayList;

public class CBLimitCstHvpsDaySum implements a {

   private static String a = "UPDATE CB_LIMIT_CST SET LIC_DAYSUM = LIC_DAYSUM + ?";
   private static String b = "UPDATE CB_LIMIT_CST SET LIC_DAYSUM = LIC_DAYSUM - ? ";
   private static String c = " WHERE LIC_TYPE = \'30\' AND LIC_BANKID = ? AND LIC_CHANNEL = ? AND LIC_CRYTYPE = ? AND LIC_CSTNO = ?";


   public final void a(Context cstNo, Connection connection) throws GENEException {
      String payAmount = (String)cstNo.getDataValue("payAmount");
      String bankId = (String)cstNo.getDataValue(PlatformConstants.FIELD_BANK_ID);
      String channel = (String)cstNo.getDataValue(PlatformConstants.FIELD_CHANNEL);
      String currencyType = (String)cstNo.getDataValue("currencyType");
      String cstNo1 = (String)cstNo.getDataValue(PlatformConstants.FIELD_CST_NO);
      ArrayList inputList;
      (inputList = new ArrayList()).add(payAmount);
      inputList.add(bankId);
      inputList.add(channel);
      inputList.add(currencyType);
      inputList.add(cstNo1);
      LifeDBAccess.executeSQLUpdate(connection, b + c, inputList);
   }

   public static void main(String[] connection) {
      Connection connection1 = null;

      String url;
      String password;
      try {
         Class.forName("oracle.jdbc.driver.OracleDriver");
         url = "jdbc:oracle:thin:@192.168.12.45:1521:orcl";
         String userName = "life";
         password = "life";
         connection1 = DriverManager.getConnection(url, userName, password);
      } catch (Exception var17) {
         var17.printStackTrace();
      }

      new CBLimitCstHvpsDaySum();

      try {
         url = null;
         url = (String)null.getDataValue("payAmount");
         password = (String)null.getDataValue(PlatformConstants.FIELD_BANK_ID);
         String var4 = (String)null.getDataValue(PlatformConstants.FIELD_CHANNEL);
         String var5 = (String)null.getDataValue("currencyType");
         String var6 = (String)null.getDataValue(PlatformConstants.FIELD_CST_NO);
         ArrayList var7;
         (var7 = new ArrayList()).add(url);
         var7.add(password);
         var7.add(var4);
         var7.add(var5);
         var7.add(var6);
         LifeDBAccess.executeSQLUpdate(connection1, a + c, var7);
         connection1.commit();
         return;
      } catch (GENEException var18) {
         var18.printStackTrace();
         return;
      } catch (SQLException var19) {
         var19.printStackTrace();
      } finally {
         if(connection1 != null) {
            try {
               connection1.close();
            } catch (SQLException var16) {
               var16.printStackTrace();
            }
         }

      }

   }
}
